Subject: Re: No Subject

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 04 Feb 2023 00:04:00 +0100

Hi,

Am Freitag, dem 27.01.2023 um 20:36 +0100 schrieb Maya Tomasek:
> From: Maya Tomasek <[email-masked]>
> Date: Fri, 27 Jan 2023 20:26:11 +0100
> Subject: [PATCH] gnu: Move dconf-editor native-input glib:bin to
>  propagated-inputs
> 
> dconf-editor crashes with "No GSettings schemas are installed on the
> system", this provides the expected schemas.
> ---
> Hi,
> 
> I have noticed that dconf-editor by default crashes as it has no
> schemas. This is probably undesired, as most users install dconf-
> editor to edit settings on gnome. But there is no indication that the
> actual error is missing glib:bin. The issue isn't fixed by moving
> glib:bin to inputs. It has to be in propagated inputs.
> 
> Kind regards,
> Maya
I am fairly certain that by default, dconf-editor does not crash when
using gnome-desktop-service-type (i.e. the "default" configuration). 
Now fair enough, it might still break in the way you described *outside
of gnome*, but in any case, propagating inputs is no solution and in
this case, you're breaking cross-compilation to rely on a side effect.
The package you do want is most likely gsettings-desktop-schemas, and I
think it ought to be possible to fix dconf-editor without propagating
it.

Cheers